import { QuarkElement } from 'quarkc';
declare enum SwiperType {
    CONTROL = "control",
    AUTO = "auto"
}
export default class ImageSwiper extends QuarkElement {
    images: string;
    type: SwiperType;
    interval: number;
    ratio: string;
    currentIndex: number;
    showControls: boolean;
    handleCurrentIndexChange(newVal: number, oldVal: number): void;
    private timer;
    private rootRef;
    private containerRef;
    private isTransitioning;
    get imageList(): string[];
    get realIndex(): number;
    componentDidMount(): void;
    componentWillUnmount(): void;
    autoSetHeight: () => void;
    startAutoPlay: () => void;
    stopAutoPlay: () => void;
    handleMouseEnter: () => void;
    handleMouseLeave: () => void;
    handleTransitionStart: () => void;
    handleTransitionEnd: () => void;
    prev: () => void;
    next: () => void;
    goToIndex: (index: number) => void;
    handleSwiper: () => void;
    get isAuto(): boolean;
    render(): any;
}
export {};
